
QGIS Application - Bug report #14922

QGIS crashes using SVG marker

2016-05-28 01:56 PM - Matthew Baker

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.3 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 22873

Description

When changing the default 'simple marker' of a point layer, setting the 'symbol layer type' to SVG Marker causes QGIS 2.14.3 on Ubuntu

14.04 to hang then crash.

From what I can figure out, the SVG option tries to find a folder containing an SVG from whatever the last path was - in some cases it

seems to try and open Inkscape SVG's, but when that option is renamed, it seeks another folder and grabs the first SVG it finds.

In either case, QGIS crashes without any dialogue box.

History

#1 - 2016-05-28 01:57 PM - Matthew Baker

I forgot to mention that this does not seem to affect the Windows installation of QGIS 2.14.3.

#2 - 2016-06-01 04:35 AM - Giovanni Manghi

- Status changed from Open to Feedback

do you have a custom SVG path in your QGIS general options?

#3 - 2016-06-01 07:26 AM - Matthew Baker

Ah that did it - the Ubuntu path was set to /home/matthew - when I removed it, QGIS chose another path that seems to be working just fine. Thank you!

(please mark as closed if you could/should).

#4 - 2016-06-07 09:07 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Feedback to Closed

Duplicate of #14883

#5 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
